Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class ClosureTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureTriggerBinding

All Implemented Interfaces:
  SourceBinding, TriggerBinding

    public class ClosureTriggerBinding
    extends Object

Constructor Summary
`ClosureTriggerBinding(Map syntheticBindings)`

Method Summary
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`Closure` | `getClosure()`
`Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClosureTriggerBinding

    public ClosureTriggerBinding(Map syntheticBindings)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)

### getClosure

    public Closure getClosure()

### getSourceValue

    public Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

Copyright © 2003-2010 The Codehaus. All rights reserved.